<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/
    require_once "../../maincore.php";
    require_once BASEDIR . "subheader.php";
    require_once ADMIN . "navigation.php";

    if(!checkrights("IP"))
	fallback("../index.php");

    if(file_exists(INFUSIONS."aw_boinc_panel/locale/".$settings['locale'].".php")) {
	include INFUSIONS."aw_boinc_panel/locale/".$settings['locale'].".php";
    } else {
	include INFUSIONS."aw_boinc_panel/locale/English.php";
    }


    opentable($locale['aw_title']);


    if($aw_do_add) {
	$query = "INSERT INTO " . $db_prefix . "aw_boinc_users"
	    . " (id)"
	    . " VALUES ('" . $aw_id . "')";
	if(!dbquery($query)) {
	    echo $locale['aw_failed'];
	}
    }
    if(isset($_GET['aw_do_del'])) {
	$query = "DELETE FROM " . $db_prefix . "aw_boinc_users"
	    . " WHERE id='" . $_GET['aw_do_del'] . "'";
	if(!dbquery($query)) {
	    echo $locale['aw_failed'];
	}
    }
    if(isset($_GET['aw_do_disable']) || isset($_GET['aw_do_enable'])) {
	$query = "UPDATE " . $db_prefix . "aw_boinc_users"
	    . " SET activated='"
		. (isset($_GET['aw_do_disable']) ? "N" : "Y")  . "'"
	    . " WHERE id='"
		. (isset($_GET['aw_do_disable']) ? $_GET['aw_do_disable'] : $_GET['aw_do_enable'])  . "'";
	if(!dbquery($query)) {
	    echo $locale['aw_failed'];
	}
    }


    echo "<form action='" . FUSION_SELF . "' method='post'>\n";
    echo "<p><b>" . $locale['aw_id'] . ":</b>&nbsp;";
    echo "<input type='text' value='' name='aw_id' class='textbox'>&nbsp;";
    echo "<input type='submit' value='" . $locale['aw_add'] . "' class='button' name='aw_do_add'>";
    echo "</form>\n";

    // list existing users
    $query = "SELECT * FROM " . $db_prefix . "aw_boinc_users";
    $query_id = dbquery($query);
    if($query_id) {
	echo "<p><table width='100%' cellpadding='0' cellspacing='1' class='tbl-border'>\n";
	echo "<tr><td class='tbl1' colspan='2'>" . $locale['aw_id'] . "</td>";
	echo "<td class='tbl1'>" . $locale['aw_activated'] . "</td>\n";
	echo "<td class='tbl1'>" . $locale['aw_service_type'] . "</td>\n";
	echo "<td class='tbl1'>" . $locale['aw_last_updated'] . "</td>\n";
	while($user = dbarray($query_id)) {
	    echo "<tr>";
	    echo "<td class='tbl2'>" . $user['id'] . "</td>\n";
	    echo "<td class='tbl1'><a href='" . FUSION_SELF . "?aw_do_del="
		. $user['id'] . "'>" . $locale['aw_del'] . "</a></td>\n";
	    echo "<td class='tbl1'><a href='" . FUSION_SELF . "?aw_do_"
		. (strcmp($user['activated'], "Y")==0 ? "disable" : "enable")
		. "=" . $user['id'] . "'>"
		. $locale[ $user['activated'] ]
		. "</a></td>\n";
	    echo "<td class='tbl1'>" . $user['service_type'] . "</td>";
	    echo "<td class='tbl1'>" . date('Y-m-d H:i', $user['last_updated']) . "</td>";
	}
	echo "</table>\n";
    } else {
	echo "<p>nonono";
    }

    closetable();

    require_once BASEDIR."footer.php";
?>
