<?php
/***************************************************************************
 *   Copyright (C) 2005-2006 Artur Wiebe                                   *
 *   wibix@gmx.de                                                          *
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 *   This program is distributed in the hope that it will be useful,       *
 *   but WITHOUT ANY WARRANTY; without even the implied warranty of        *
 *   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the         *
 *   GNU General Public License for more details.                          *
 *                                                                         *
 *   You should have received a copy of the GNU General Public License     *
 *   along with this program; if not, write to the                         *
 *   Free Software Foundation, Inc.,                                       *
 *   59 Temple Place - Suite 330, Boston, MA  02111-1307, USA.             *
 ***************************************************************************/

if(!defined("IN_FUSION") || !checkRights("I")) {
    header("Location:../../index.php");
    exit();
}

if(file_exists(INFUSIONS."aw_boinc_panel/locale/".$settings['locale'].".php")) {
    include INFUSIONS."aw_boinc_panel/locale/".$settings['locale'].".php";
} else {
    include INFUSIONS."aw_boinc_panel/locale/English.php";
}


/* infusion information */
$inf_title = $locale['aw_title'];
$inf_version = "0.2";
$inf_developer = "wibix";
$inf_email = "wibix@gmx.de";
$inf_weburl = "http://wibix.de";
$inf_description = "Displays BOINC stats.";

$inf_folder = "aw_boinc_panel";
$inf_admin_image = "";
$inf_admin_panel = "aw_boinc_admin.php";

$inf_link_name = "";
$inf_link_url = "";
$inf_link_visibility = "0";


/* database table information */
$inf_newtables = 1;
$inf_altertables = 0;
$inf_deldbrows = 0;

$inf_newtable_[1] = "aw_boinc_users (
  id BIGINT(10) NOT NULL AUTO_INCREMENT,
  activated CHAR(1) NOT NULL default 'Y',
  service_type CHAR(4) NOT NULL default 'SETI',
  last_updated INT(10) NOT NULL default 0,
  last_credits VARCHAR(20) NOT NULL default '0.00',
  last_average_credits VARCHAR(20) NOT NULL default '0.00',
  last_group VARCHAR(50) NOT NULL default 'None',
  last_name VARCHAR(50) NOT NULL default '--no name--',
  PRIMARY KEY (id)
) TYPE=MyISAM;";


$inf_droptable_[1] = "aw_boinc_users";
?>
